Last modified: 2014-03-10 22:22:29 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 61901 - Some message documentation/PLURAL issues
Some message documentation/PLURAL issues
Status: RESOLVED FIXED
Product: MobileFrontend
Classification: Unclassified
stable (Other open bugs)
unspecified
All All
: Unprioritized normal
: ---
Assigned To: Nobody - You can work on this!
: i18n
Depends on:
Blocks: messages
  Show dependency treegraph
 
Reported: 2014-02-25 10:55 UTC by Nemo
Modified: 2014-03-10 22:22 UTC (History)
7 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Comment 1 Bingle 2014-02-26 18:02:40 UTC
Prioritization and scheduling of this bug is tracked on Mingle card https://wikimedia.mingle.thoughtworks.com/projects/mobile/cards/1728
Comment 2 Jon 2014-02-27 01:44:46 UTC
Summarised the requests from the translate wiki pages for convenience:

1) Add plural support to Mobile-frontend-language-article-heading
A heading within the article the content of which lists the other languages available for this article: translate the message considering the list to have an undetermined number of items.
The latter is generally impossible when the list is visible, and the message has to mention the list, see mw:i18n#Pass the number of list items as parameters to messages talking about lists. With this message here however, it is fortunate that a sensible translation is possible without referring to the fact that there is a list, so PLURAL is not really needed, at least not for those translations that I am aware of.

2) Add plural support to MediaWiki:Mobile-frontend-nearby-to-page (This needs plural support on "pages")
3) Update qqq codes in
Mobile-frontend-editor-editing-page ("<Mobile-frontend-editor-editing-page>")
Mobile-frontend-editor-previewing-page ("<Mobile-frontend-editor-previewing-page>")
Mobile-frontend-editor-viewing-source-page ("<Mobile-frontend-editor-viewing-source-page>") so that it is clearer what is meant by "text other than page title"?
Comment 3 Gerrit Notification Bot 2014-03-05 18:56:55 UTC
Change 117012 had a related patch set uploaded by Jdlrobson:
i18n: Tweaks

https://gerrit.wikimedia.org/r/117012
Comment 4 Gerrit Notification Bot 2014-03-10 22:21:30 UTC
Change 117012 merged by jenkins-bot:
i18n: Tweaks

https://gerrit.wikimedia.org/r/117012

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links